Bug 43276 - missing dns service record for _domaincontroller_master._tcp.$domainname
missing dns service record for _domaincontroller_master._tcp.$domainname
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Join (univention-join)
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-0-errata
Assigned To: Felix Botner
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-02 18:06 CET by Florian Best
Modified: 2018-05-02 13:31 CEST (History)
4 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 5: Blocking further progress on the daily work
User Pain: 0.343
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2016122921000221, 2017021321000651, 2017051821000502, 2017072921000229, 2017082421000512
Bug group (optional): Error handling, External feedback
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2017-01-02 18:06:18 CET
Version: 4.1-4 errata366 (Vahr)

Domäneneinrichtung (Dies kann einige Zeit dauern): missing dns service record for _domaincontroller_master._tcp.168.10.110

Did the user enter a IP instead of a FQDN as domainname?
Comment 1 Stefan Gohmann univentionstaff 2017-01-24 08:48:40 CET
(In reply to Florian Best from comment #0)
> Did the user enter a IP instead of a FQDN as domainname?

Yes, it looks like that.
Comment 2 Florian Best univentionstaff 2017-02-23 11:00:41 CET
Reported again, 4.1-3 errata360 (Vahr)
Comment 3 Florian Best univentionstaff 2017-05-23 16:46:55 CEST
Reported again, 4.1-4 errata404 (Vahr)
Comment 4 Florian Best univentionstaff 2017-08-04 16:12:03 CEST
Reported again, 4.2-1 errata118 (Lesum)
Comment 5 Stefan Gohmann univentionstaff 2018-03-15 06:30:55 CET
Move to 4.3-0-errata. If a UCS 4.2 backport is needed, please clone this issue.
Comment 6 Felix Botner univentionstaff 2018-04-23 14:48:07 CEST
AD member mode
 * ip, name or domain name supported during setup as AD Server
   domain name is automatically generated from AD response
 * ip address NOT supported in hostname
 => no way of getting an ip address in domain name

UCS Mode:
 * ip address NOT supported in hostname
 * the only way to get an ip address into the domain name seems to be:
   setting an ip address for "Hostname of the domain controller master" AND
   to uncheck "Search domain controller master in DNS" on "Domain join
   information" page
   now the backend expects a FQDN in the address and returns the domain part
   of this address as "domain" even is the address is a IP (see setup/util.py 
   receive_domaincontroller_master_information() and 
   check_credentials_nonmaster())

FIX:
 * added validatorv (_validateFQDN) to master address input field on 
   "Domain join information", ip address no longer supported here

univention-system-setup
cc3bd29700ab631216624a7a4ec99b88561e314a

YAML
a752a32e941b1d0b9cea34fbf0864352ef5b24be
Comment 7 Erik Damrose univentionstaff 2018-05-02 10:26:44 CEST
OK: IP address in FQDN textfield is not accepted anymore, setup does not continue in that case.
OK: I can activate the checkbox again if an ip address is entered in the textfield, but the value is ignored when continuing
OK: domain join works for all cases
OK: yaml
Verified
Comment 8 Arvid Requate univentionstaff 2018-05-02 13:31:16 CEST
<http://errata.software-univention.de/ucs/4.3/26.html>